#!/bin/sh
set -e

git clone https://git.ffmpeg.org/rtmpdump.git rtmpdump

cd rtmpdump

COMMIT=$(git rev-list HEAD -n1)
SHORTCOMMIT=$(echo ${COMMIT:0:7})
DATE=$(git log -1 --format=%cd --date=short | tr -d \-)
rm -fr .git*

cd ..

tar -cJf rtmpdump-$SHORTCOMMIT.tar.xz rtmpdump
rm -fr rtmpdump

sed -i \
    -e "s|%global commit.*|%global commit ${COMMIT}|g" \
    -e "s|%global date.*|%global date ${DATE}|g" \
    rtmpdump.spec

rpmdev-bumpspec -c "Update to latest snapshot." rtmpdump.spec
